-- phpMyAdmin SQL Dump
-- version 4.5.4.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Oct 29, 2022 at 02:04 AM
-- Server version: 5.7.11
-- PHP Version: 5.6.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `inet_evacuation_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_barangay`
--

CREATE TABLE `tbl_barangay` (
  `barangay_id` int(11) NOT NULL,
  `barangay_name` varchar(50) NOT NULL,
  `complete_address` text NOT NULL,
  `contact` varchar(15) NOT NULL,
  `email_address` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_calamity`
--

CREATE TABLE `tbl_calamity` (
  `calamity_id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `description` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_evacuation_center`
--

CREATE TABLE `tbl_evacuation_center` (
  `center_id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `complete_address` text NOT NULL,
  `contact` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_evacuee_information`
--

CREATE TABLE `tbl_evacuee_information` (
  `evacuee_id` int(11) NOT NULL,
  `lastname` varchar(30) NOT NULL,
  `firstname` varchar(30) NOT NULL,
  `middlename` varchar(30) NOT NULL,
  `contact` varchar(15) NOT NULL,
  `age` int(3) NOT NULL,
  `gender` int(1) NOT NULL,
  `brgy_id` int(11) NOT NULL,
  `complete_address` text NOT NULL,
  `head_of_family` int(1) NOT NULL,
  `evacuation_center_id` int(11) NOT NULL,
  `calamity_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_lgu`
--

CREATE TABLE `tbl_lgu` (
  `lgu_id` int(11) NOT NULL,
  `city` varchar(30) NOT NULL,
  `contact_info` varchar(15) NOT NULL,
  `email_address` varchar(50) NOT NULL,
  `website` varchar(100) NOT NULL,
  `facebook_page` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_user`
--

CREATE TABLE `tbl_user` (
  `user_id` int(11) NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL,
  `complete_name` varchar(100) NOT NULL,
  `designation` varchar(50) NOT NULL,
  `account_category` int(1) NOT NULL,
  `email_address` varchar(50) NOT NULL,
  `account_status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_barangay`
--
ALTER TABLE `tbl_barangay`
  ADD PRIMARY KEY (`barangay_id`);

--
-- Indexes for table `tbl_calamity`
--
ALTER TABLE `tbl_calamity`
  ADD PRIMARY KEY (`calamity_id`);

--
-- Indexes for table `tbl_evacuation_center`
--
ALTER TABLE `tbl_evacuation_center`
  ADD PRIMARY KEY (`center_id`);

--
-- Indexes for table `tbl_evacuee_information`
--
ALTER TABLE `tbl_evacuee_information`
  ADD PRIMARY KEY (`evacuee_id`),
  ADD KEY `brgy_id` (`brgy_id`),
  ADD KEY `evacuation_center_id` (`evacuation_center_id`),
  ADD KEY `calamity_id` (`calamity_id`);

--
-- Indexes for table `tbl_lgu`
--
ALTER TABLE `tbl_lgu`
  ADD PRIMARY KEY (`lgu_id`);

--
-- Indexes for table `tbl_user`
--
ALTER TABLE `tbl_user`
  ADD PRIMARY KEY (`user_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_barangay`
--
ALTER TABLE `tbl_barangay`
  MODIFY `barangay_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_calamity`
--
ALTER TABLE `tbl_calamity`
  MODIFY `calamity_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_evacuation_center`
--
ALTER TABLE `tbl_evacuation_center`
  MODIFY `center_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_evacuee_information`
--
ALTER TABLE `tbl_evacuee_information`
  MODIFY `evacuee_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_lgu`
--
ALTER TABLE `tbl_lgu`
  MODIFY `lgu_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_user`
--
ALTER TABLE `tbl_user`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
